> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noxus.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Public Get Run Node Io

> Inputs/outputs of a single node within a run (with secret redaction).

``it`` is the node's iteration (1-based) for nodes that fan out in a loop;
0 is tolerated and treated as the first iteration.



## OpenAPI

````yaml get /v1/runs/{run_id}/io/{node_id}
openapi: 3.1.0
info:
  title: Noxus Backend
  description: >-
    Backend API for the Noxus Platform. More information can be found at
    https://docs.noxus.ai
  version: 1.1.0
servers: []
security: []
paths:
  /v1/runs/{run_id}/io/{node_id}:
    get:
      tags:
        - V1 - Runs
      summary: Public Get Run Node Io
      description: >-
        Inputs/outputs of a single node within a run (with secret redaction).


        ``it`` is the node's iteration (1-based) for nodes that fan out in a
        loop;

        0 is tolerated and treated as the first iteration.
      operationId: public_get_run_node_io
      parameters:
        - name: run_id
          in: path
          required: true
          schema:
            type: string
            title: Run Id
        - name: node_id
          in: path
          required: true
          schema:
            type: string
            title: Node Id
        - name: it
          in: query
          required: false
          schema:
            type: integer
            default: 1
            title: It
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RunIO'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    RunIO:
      properties:
        inputs:
          additionalProperties:
            oneOf:
              - $ref: '#/components/schemas/FileDataContainer'
              - $ref: '#/components/schemas/ImageDataContainer'
              - $ref: '#/components/schemas/TextDataContainer'
              - $ref: '#/components/schemas/DictContainer'
              - $ref: '#/components/schemas/ListContainer'
              - $ref: '#/components/schemas/AudioContainer'
              - $ref: '#/components/schemas/QuoteContainer'
              - $ref: '#/components/schemas/CustomContainer'
              - $ref: '#/components/schemas/NumberContainer'
              - $ref: '#/components/schemas/BoolContainer'
              - $ref: '#/components/schemas/DateTimeContainer'
              - $ref: '#/components/schemas/ObjectContainer'
              - $ref: '#/components/schemas/BaseModelContainer'
              - $ref: '#/components/schemas/ErrorContainer'
            discriminator:
              propertyName: type
              mapping:
                Audio:
                  $ref: '#/components/schemas/AudioContainer'
                Custom:
                  $ref: '#/components/schemas/CustomContainer'
                File:
                  $ref: '#/components/schemas/FileDataContainer'
                Image:
                  $ref: '#/components/schemas/ImageDataContainer'
                Quote:
                  $ref: '#/components/schemas/QuoteContainer'
                _error:
                  $ref: '#/components/schemas/ErrorContainer'
                basemodel:
                  $ref: '#/components/schemas/BaseModelContainer'
                bool:
                  $ref: '#/components/schemas/BoolContainer'
                datetime:
                  $ref: '#/components/schemas/DateTimeContainer'
                dict:
                  $ref: '#/components/schemas/DictContainer'
                list:
                  $ref: '#/components/schemas/ListContainer'
                number:
                  $ref: '#/components/schemas/NumberContainer'
                object:
                  $ref: '#/components/schemas/ObjectContainer'
                str:
                  $ref: '#/components/schemas/TextDataContainer'
          type: object
          title: Inputs
        outputs:
          additionalProperties:
            oneOf:
              - $ref: '#/components/schemas/FileDataContainer'
              - $ref: '#/components/schemas/ImageDataContainer'
              - $ref: '#/components/schemas/TextDataContainer'
              - $ref: '#/components/schemas/DictContainer'
              - $ref: '#/components/schemas/ListContainer'
              - $ref: '#/components/schemas/AudioContainer'
              - $ref: '#/components/schemas/QuoteContainer'
              - $ref: '#/components/schemas/CustomContainer'
              - $ref: '#/components/schemas/NumberContainer'
              - $ref: '#/components/schemas/BoolContainer'
              - $ref: '#/components/schemas/DateTimeContainer'
              - $ref: '#/components/schemas/ObjectContainer'
              - $ref: '#/components/schemas/BaseModelContainer'
              - $ref: '#/components/schemas/ErrorContainer'
            discriminator:
              propertyName: type
              mapping:
                Audio:
                  $ref: '#/components/schemas/AudioContainer'
                Custom:
                  $ref: '#/components/schemas/CustomContainer'
                File:
                  $ref: '#/components/schemas/FileDataContainer'
                Image:
                  $ref: '#/components/schemas/ImageDataContainer'
                Quote:
                  $ref: '#/components/schemas/QuoteContainer'
                _error:
                  $ref: '#/components/schemas/ErrorContainer'
                basemodel:
                  $ref: '#/components/schemas/BaseModelContainer'
                bool:
                  $ref: '#/components/schemas/BoolContainer'
                datetime:
                  $ref: '#/components/schemas/DateTimeContainer'
                dict:
                  $ref: '#/components/schemas/DictContainer'
                list:
                  $ref: '#/components/schemas/ListContainer'
                number:
                  $ref: '#/components/schemas/NumberContainer'
                object:
                  $ref: '#/components/schemas/ObjectContainer'
                str:
                  $ref: '#/components/schemas/TextDataContainer'
          type: object
          title: Outputs
        source:
          type: string
          enum:
            - hot
            - cold
            - memory
          title: Source
          default: hot
      type: object
      required:
        - inputs
        - outputs
      title: RunIO
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FileDataContainer:
      properties:
        total_size:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Size
        truncated:
          type: boolean
          title: Truncated
          default: false
        preview_file:
          anyOf:
            - $ref: '#/components/schemas/FileType'
            - type: 'null'
        type:
          type: string
          const: File
          title: Type
          default: File
        value:
          anyOf:
            - $ref: '#/components/schemas/FileType'
            - items:
                $ref: '#/components/schemas/FileType'
              type: array
            - {}
            - type: 'null'
          title: Value
      type: object
      required:
        - value
      title: FileDataContainer
    ImageDataContainer:
      properties:
        total_size:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Size
        truncated:
          type: boolean
          title: Truncated
          default: false
        preview_file:
          anyOf:
            - $ref: '#/components/schemas/FileType'
            - type: 'null'
        type:
          type: string
          const: Image
          title: Type
          default: Image
        value:
          anyOf:
            - $ref: '#/components/schemas/FileType'
            - items:
                $ref: '#/components/schemas/FileType'
              type: array
            - {}
            - type: 'null'
          title: Value
      type: object
      required:
        - value
      title: ImageDataContainer
    TextDataContainer:
      properties:
        total_size:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Size
        truncated:
          type: boolean
          title: Truncated
          default: false
        preview_file:
          anyOf:
            - $ref: '#/components/schemas/FileType'
            - type: 'null'
        type:
          type: string
          const: str
          title: Type
          default: str
        value:
          title: Value
      type: object
      required:
        - value
      title: TextDataContainer
    DictContainer:
      properties:
        total_size:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Size
        truncated:
          type: boolean
          title: Truncated
          default: false
        preview_file:
          anyOf:
            - $ref: '#/components/schemas/FileType'
            - type: 'null'
        type:
          type: string
          const: dict
          title: Type
          default: dict
        value:
          title: Value
      type: object
      required:
        - value
      title: DictContainer
    ListContainer:
      properties:
        total_size:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Size
        truncated:
          type: boolean
          title: Truncated
          default: false
        preview_file:
          anyOf:
            - $ref: '#/components/schemas/FileType'
            - type: 'null'
        type:
          type: string
          const: list
          title: Type
          default: list
        value:
          title: Value
      type: object
      required:
        - value
      title: ListContainer
    AudioContainer:
      properties:
        total_size:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Size
        truncated:
          type: boolean
          title: Truncated
          default: false
        preview_file:
          anyOf:
            - $ref: '#/components/schemas/FileType'
            - type: 'null'
        type:
          type: string
          const: Audio
          title: Type
          default: Audio
        value:
          title: Value
      type: object
      required:
        - value
      title: AudioContainer
    QuoteContainer:
      properties:
        total_size:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Size
        truncated:
          type: boolean
          title: Truncated
          default: false
        preview_file:
          anyOf:
            - $ref: '#/components/schemas/FileType'
            - type: 'null'
        type:
          type: string
          const: Quote
          title: Type
          default: Quote
        value:
          title: Value
      type: object
      required:
        - value
      title: QuoteContainer
    CustomContainer:
      properties:
        total_size:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Size
        truncated:
          type: boolean
          title: Truncated
          default: false
        preview_file:
          anyOf:
            - $ref: '#/components/schemas/FileType'
            - type: 'null'
        type:
          type: string
          const: Custom
          title: Type
          default: Custom
        value:
          title: Value
      type: object
      required:
        - value
      title: CustomContainer
    NumberContainer:
      properties:
        total_size:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Size
        truncated:
          type: boolean
          title: Truncated
          default: false
        preview_file:
          anyOf:
            - $ref: '#/components/schemas/FileType'
            - type: 'null'
        type:
          type: string
          const: number
          title: Type
          default: number
        value:
          title: Value
      type: object
      required:
        - value
      title: NumberContainer
    BoolContainer:
      properties:
        total_size:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Size
        truncated:
          type: boolean
          title: Truncated
          default: false
        preview_file:
          anyOf:
            - $ref: '#/components/schemas/FileType'
            - type: 'null'
        type:
          type: string
          const: bool
          title: Type
          default: bool
        value:
          title: Value
      type: object
      required:
        - value
      title: BoolContainer
    DateTimeContainer:
      properties:
        total_size:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Size
        truncated:
          type: boolean
          title: Truncated
          default: false
        preview_file:
          anyOf:
            - $ref: '#/components/schemas/FileType'
            - type: 'null'
        type:
          type: string
          const: datetime
          title: Type
          default: datetime
        value:
          title: Value
      type: object
      required:
        - value
      title: DateTimeContainer
    ObjectContainer:
      properties:
        total_size:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Size
        truncated:
          type: boolean
          title: Truncated
          default: false
        preview_file:
          anyOf:
            - $ref: '#/components/schemas/FileType'
            - type: 'null'
        type:
          type: string
          const: object
          title: Type
          default: object
        value:
          title: Value
      type: object
      required:
        - value
      title: ObjectContainer
    BaseModelContainer:
      properties:
        total_size:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Size
        truncated:
          type: boolean
          title: Truncated
          default: false
        preview_file:
          anyOf:
            - $ref: '#/components/schemas/FileType'
            - type: 'null'
        type:
          type: string
          const: basemodel
          title: Type
          default: basemodel
        value:
          title: Value
      type: object
      required:
        - value
      title: BaseModelContainer
    ErrorContainer:
      properties:
        total_size:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Size
        truncated:
          type: boolean
          title: Truncated
          default: false
        preview_file:
          anyOf:
            - $ref: '#/components/schemas/FileType'
            - type: 'null'
        type:
          type: string
          const: _error
          title: Type
          default: _error
        value:
          $ref: '#/components/schemas/SpotError'
      type: object
      required:
        - value
      title: ErrorContainer
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    FileType:
      properties:
        uri:
          type: string
          title: Uri
        name:
          type: string
          title: Name
        content_type:
          type: string
          title: Content Type
      type: object
      required:
        - uri
        - name
        - content_type
      title: FileType
    SpotError:
      properties:
        status_code:
          type: integer
          title: Status Code
        message:
          type: string
          title: Message
        snippet:
          anyOf:
            - type: string
            - type: 'null'
          title: Snippet
        markdown:
          anyOf:
            - type: string
            - type: 'null'
          title: Markdown
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        identifier:
          type: string
          title: Identifier
        params:
          additionalProperties: true
          type: object
          title: Params
          default: {}
        node_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Node Id
      type: object
      required:
        - status_code
        - message
        - identifier
      title: SpotError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````